## org.apache.poi.hssf.record
Class GroupMarkerSubRecord

    java.lang.Object
      org.apache.poi.hssf.record.SubRecord
          org.apache.poi.hssf.record.GroupMarkerSubRecord

    public final class GroupMarkerSubRecord

extends SubRecord

ftGmo (0x0006)

The group marker record is used as a position holder for groups.

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static short` `sid`

Constructor Summary
`GroupMarkerSubRecord()`
`GroupMarkerSubRecord(LittleEndianInput in, int size)`

Method Summary
`java.lang.Object` `clone()`
`protected int` `getDataSize()`
`short` `getSid()`
`void` `serialize(LittleEndianOutput out)`
`java.lang.String` `toString()`

Methods inherited from class org.apache.poi.hssf.record.SubRecord
`createSubRecord, isTerminating, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### GroupMarkerSubRecord

    public GroupMarkerSubRecord()

### GroupMarkerSubRecord

    public GroupMarkerSubRecord(LittleEndianInput in,
                                int size)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### serialize

    public void serialize(LittleEndianOutput out)

  Specified by:
    `serialize` in class `SubRecord`

### getDataSize

    protected int getDataSize()

  Specified by:
    `getDataSize` in class `SubRecord`
  Returns:
    the size of the data for this record (which is always 4 bytes less than the total record size). Note however, that ushort encoded after the record sid is usually but not always the data size.

### getSid

    public short getSid()

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in class `SubRecord`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.